Page MenuHomePhabricator

Wikimedia IRC issues project/tag
Closed, ResolvedPublic

Description

Happy Weekend.

I am one of the Wikimedia IRC group contacts and I was wondering if it would be appropriate to create a project/tag for tasks specifically for addressing issues with our vast umbrella of IRC channels such as being unable to access channels/network, issues with channel management that needs group contact triage, etc...

A recent example of a task this tag would fit with is: T164651

Event Timeline

charitwo created this task.May 6 2017, 11:27 PM
Peachey88 removed Aklapper as the assignee of this task.May 6 2017, 11:32 PM
Peachey88 added a subscriber: Aklapper.
jrbs added a subscriber: jrbs.May 6 2017, 11:54 PM

Do the the Wikimedia IRC group contacts who handle such issues want a Phabricator project? What would it be used for? See https://www.mediawiki.org/wiki/Phabricator/Project_management

And see https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects#New_projects for required data if this is really wanted.

Legoktm added a subscriber: Legoktm.May 7 2017, 2:08 AM

Do the the Wikimedia IRC group contacts who handle such issues want a Phabricator project?

Given that @charitwo (a group contact) created this task, I would assume so :)

Danilo added a subscriber: Danilo.EditedMay 7 2017, 7:30 PM

The project will be used to tag tasks related to Wikimedia IRC channels operators and group contacts like T164651.

For the type and name, I propose the type "group" and the name "IRC-operators". Or "IRC-operators-freenode", if it is necessary to distinguish irc.freenode from irc.wikimedia.

Project description:
IRC Wikimedia channels operators in Freenode.

This group is used to organize tasks related to the IRC channels management.
Contact this group preferably in the channel #wikimedia-ops.

Group admins:
the IRC group contacts: @dungodung, @Snowolf, @Az1568, @charitwo and @jrbs

Restricted Application added a project: User-Luke081515. · View Herald TranscriptMay 7 2017, 7:32 PM
Matiia added a subscriber: Matiia.May 7 2017, 7:41 PM

I would recommend using IRC-group-contacts for the name, that is the common name for this team, I have never heard them refered to the suggested names by @Danilo

Danilo added a comment.May 7 2017, 9:52 PM

IRC operators are like "sysops" and group contacts are like "stewards" in IRC. We usually discuss the IRC issues in #wikimedia-ops and #wikimedia-ops-internal between all operators.

charitwo removed Luke081515 as the assignee of this task.May 7 2017, 10:29 PM
charitwo removed a project: User-Luke081515.
charitwo added a subscriber: Luke081515.
Luke081515 added a project: User-Luke081515.

I would propose Wikimedia-IRC-Operators or Wikimedia-IRC-Ops. I'm going to wait a little bit, until we are a little bit more clear concerning the name. (If it's -ops or -operators for example, that does not matter, and we can change the name later, but the proposed IRC-group-contacts is a complete different group than Wikimedia-IRC-Ops).

(Reclaiming due some confusion)

jrbs added a comment.EditedMay 8 2017, 7:32 PM

(for clarity, I am also @Foxj but usually just use one account for phabricator)

This depends greatly on what this project is for - GC-related issues, or operator-related issues, or just IRC-related issues. If the latter then probably something more like Wikimedia-IRC and be a project rather than a team.

I think the project works better since we already interact as teams on IRC itself.

To me it makes more sense to create a Wikimedia-IRC project, rather than GC-specific project. It would be more encompassing.

Yes, indeed. An all encompassing Wikimedia IRC project is the intention behind this :)

Yeah, a Wikimedia-IRC project would be best.

Danilo added a comment.May 9 2017, 5:36 PM

My concern about a general IRC name was that it could be used in tasks not related to IRC operators, like IRC meetings, IRC bots bugs or issues in irc.wikimedia.org. I don't know if we want to track those kinds of tasks.

But I agree with "Wikimedia-IRC". If we have some problem with the name in the future, we change the name.

jrbs added a comment.May 9 2017, 5:40 PM

My concern about a general IRC name was that it could be used in tasks not related to IRC operators, like IRC meetings, IRC bots bugs or issues in irc.wikimedia.org. I don't know if we want to track those kinds of tasks.

We can of course create multiple columns on a workboard to help with this.

Krenair added a subscriber: Krenair.May 9 2017, 5:50 PM

There is Wikimedia-IRC-RC-Server for irc.wikimedia.org, we should discourage placing bugs in the wrong project. Like maybe start by explicitly labelling this new project as FreeNode-specific.

jrbs added a comment.May 9 2017, 6:00 PM

There is Wikimedia-IRC-RC-Server for irc.wikimedia.org, we should discourage placing bugs in the wrong project. Like maybe start by explicitly labelling this new project as FreeNode-specific.

wikimedia-irc-freenode or something similar might be a good plan B. This is a good point though.

Luke081515 closed this task as Resolved.May 9 2017, 7:43 PM

I went ahead and created wikimedia-irc-freenode now, since names and descriptions can get changed later, feel free to edit if needed.